Net::LDAP::Control::VLVResponse(3)

NAME
Net::LDAP::Control::VLVResponse -- LDAPv3 Virtual List View server response

SYNOPSIS
See Net::LDAP::Control::VLV

DESCRIPTION
"Net::LDAP::Control::VLVResponse" is a sub-class of Net::LDAP::Control. It provides a class for manipulating the LDAP Virtual List View Response control ""

If the server supports Virtual List Views, then the response from a search operation will include a VLVResponse control.

CONSTRUCTOR ARGUMENTS
In addition to the constructor arguments described in Net::LDAP::Control the following are provided.

content
    An estimate of the number of entries in the complete list. This value should be used in any subsequent Virtual List View control using the same list.

context
    An arbitrary value which is used to associate subsequent requests with the request which this control is a response for. This value should be copied by the client into the Virtual List View control for any subsequent search that uses the same list.

result
    A result code indicating the result of the Virtual List View request. This may be any of the codes listed below.

target
    The list offset of the target entry.

METHODS
As with Net::LDAP::Control each constructor argument described above is also available as a method on the object which will return the current value for the attribute if called without an argument, and set a new value for the attribute if called with an argument.

RESULT CODES
Possible results from a sort request are listed below. See Net::LDAP::Constant for a definition of each.

LDAP_SUCCESS
LDAP_OPERATIONS_ERROR
LDAP_TIMELIMIT_EXCEEDED
LDAP_ADMIN_LIMIT_EXCEEDED
LDAP_INSUFFICIENT_ACCESS
LDAP_BUSY
LDAP_UNWILLING_TO_PERFORM
LDAP_OTHER
LDAP_SORT_CONTROL_MISSING
LDAP_INDEX_RANGE_ERROR

SEE ALSO
Net::LDAP, Net::LDAP::Control

AUTHOR
Graham Barr <gbarr@pobox.com>

Please report any bugs, or post any suggestions, to the perl-ldap mailing list <perl-ldap@perl.org>

COPYRIGHT
Copyright (c) 2000-2004 Graham Barr. All rights reserved. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.